#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD5,0x50,0xDE,0x16,0xE4,0x77,0x13,0xE5,0xC7,0x44,0x11,0xE5,
		0x9A,0x0F,0xE7,0x3F,0xF5,0x45,0x1D,0x01,0x42,0x4C,0x4D,0x4F,
		0xBB,0x36,0x10,0xBD,0x94,0x4C,0x0F,0xC0,0xDC,0xC8,0x48,0xC9,
		0x3D,0x5C,0x81,0x45,0x0F,0x09,0x0A,0x4D,0x1A,0x2D,0xD4,0x00,
		0xE2,0xAA,0xC9,0xDF,0xD0,0xD5,0xB1,0x9C,0x85,0x93,0x29,0xD1,
		0x70,0x90,0x4D,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
